Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(43)

Issue 1496033003: Make the webstore inline install dialog be tab-modal (Closed)

Created:
3 years, 7 months ago by asargent_no_longer_on_chrome
Modified:
3 years, 7 months ago
Reviewers:
Finnur, Devlin
CC:
chromium-reviews, chromium-apps-reviews_chromium.org, tfarina, extensions-reviews_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Make the webstore inline install dialog be tab-modal Also clean up a few minor lint errors while I'm in here. BUG=550047 Committed: https://crrev.com/0a1c15fecb1240ab909e1431b6127410c3b380e0 Cr-Commit-Position: refs/heads/master@{#363925}

Patch Set 1 #

Total comments: 6

Patch Set 2 : incorporated review suggestions #

Unified diffs Side-by-side diffs Delta from patch set Stats (+24 lines, -4 lines) Patch
M chrome/browser/extensions/extension_install_prompt.h View 1 chunk +2 lines, -0 lines 0 comments Download
M chrome/browser/extensions/extension_install_prompt.cc View 1 1 chunk +7 lines, -0 lines 0 comments Download
M chrome/browser/ui/views/extensions/extension_install_dialog_view.cc View 1 4 chunks +15 lines, -4 lines 0 comments Download

Messages

Total messages: 14 (7 generated)
asargent_no_longer_on_chrome
https://codereview.chromium.org/1496033003/diff/1/chrome/browser/ui/views/extensions/extension_install_dialog_view.cc File chrome/browser/ui/views/extensions/extension_install_dialog_view.cc (right): https://codereview.chromium.org/1496033003/diff/1/chrome/browser/ui/views/extensions/extension_install_dialog_view.cc#newcode116 chrome/browser/ui/views/extensions/extension_install_dialog_view.cc:116: constrained_window::ShowWebModalDialogViews(dialog, parent_web_contents); FYI, the problem I was having with ...
3 years, 7 months ago (2015-12-04 21:31:46 UTC) #3
Devlin
lgtm. https://codereview.chromium.org/1496033003/diff/1/chrome/browser/extensions/extension_install_prompt.cc File chrome/browser/extensions/extension_install_prompt.cc (right): https://codereview.chromium.org/1496033003/diff/1/chrome/browser/extensions/extension_install_prompt.cc#newcode410 chrome/browser/extensions/extension_install_prompt.cc:410: bool ExtensionInstallPrompt::Prompt::ShouldUseTabModalDialog() const { Maybe a comment explaining ...
3 years, 7 months ago (2015-12-04 21:53:06 UTC) #4
asargent_no_longer_on_chrome
+finnur for OWNERS review of chrome/browser/ui/views/extensions/extension_install_dialog_view.cc https://codereview.chromium.org/1496033003/diff/1/chrome/browser/extensions/extension_install_prompt.cc File chrome/browser/extensions/extension_install_prompt.cc (right): https://codereview.chromium.org/1496033003/diff/1/chrome/browser/extensions/extension_install_prompt.cc#newcode410 chrome/browser/extensions/extension_install_prompt.cc:410: bool ExtensionInstallPrompt::Prompt::ShouldUseTabModalDialog() const ...
3 years, 7 months ago (2015-12-07 19:25:53 UTC) #6
Finnur
Sorry to keep you waiting, I got side-tracked _again_. Been happening quite a lot today. ...
3 years, 7 months ago (2015-12-07 23:34:26 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1496033003/20001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1496033003/20001
3 years, 7 months ago (2015-12-08 21:22:05 UTC) #10
commit-bot: I haz the power
Committed patchset #2 (id:20001)
3 years, 7 months ago (2015-12-09 02:25:33 UTC) #12
commit-bot: I haz the power
3 years, 7 months ago (2015-12-09 02:26:09 UTC) #14
Message was sent while issue was closed.
Patchset 2 (id:??) landed as
https://crrev.com/0a1c15fecb1240ab909e1431b6127410c3b380e0
Cr-Commit-Position: refs/heads/master@{#363925}

Powered by Google App Engine
This is Rietveld 408576698